Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class PackageDescr

    java.lang.Object
      com.sun.tdk.signaturetest.model.PackageDescr

    public class PackageDescr

extends java.lang.Object

Constructor Summary
`PackageDescr(java.lang.String fqname)`

Method Summary
`void` | `add(ClassDescription cd)`
`void` | `add(PackageDescr pd)`
`void` | `addAll(java.util.List list)`
`void` | `clear()`
`boolean` | `equals(java.lang.Object arg)`
`java.util.List` | `getDeclaredClasses()`
`java.util.List` | `getDeclaredPackages()`
`java.lang.String` | `getName()`
`java.lang.String` | `getQualifiedName()`
`int` | `hashCode()`
`boolean` | `isCompatible(MemberDescription m)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackageDescr

    public PackageDescr(java.lang.String fqname)

Method Detail

### getQualifiedName

    public java.lang.String getQualifiedName()

### getName

    public java.lang.String getName()

### add

    public void add(ClassDescription cd)

### add

    public void add(PackageDescr pd)

### addAll

    public void addAll(java.util.List list)

### clear

    public void clear()

### getDeclaredClasses

    public java.util.List getDeclaredClasses()

### getDeclaredPackages

    public java.util.List getDeclaredPackages()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object arg)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isCompatible

    public boolean isCompatible(MemberDescription m)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD